const express = require('express')
const app = express();

const strategies = require('./strategies');


app.get('/', (req, res) => {
  const theStrategy = strategies[ Math.floor(Math.random()*strategies.length) ];
  res.send(theStrategy);
});

app.post('/', (req, res, next) => {
  let payload = req.body;
  res.sendStatus(200);

  if (payload.event.type === 'app_mention') {
    // respond in kind
  }
});

app.listen(4242, () => {
  console.log('oblique strategies are being served')
});


